import { action, computed, observable } from 'mobx';

export default class Dashboard {
  @observable data = {
    item_sold: 0,
    item : 0,
    order : 0
  };

  constructor (context) {
    this.http = context.http;
  }

  @action
  async getData(){
    this.data = await this.http.get(`dashboard`);
    console.log(this.data, 'data');
  }
}
